## whoapi
Bindings to the whoapi.com domain information API.

__Author:__ Oliver Keyes <br/>
__License:__ [MIT](http://opensource.org/licenses/MIT)<br/>
__Status:__ In development

### Description

<code>whoapi</code> is an R API client for [whoapi.com](https://whoapi.com), a repository of information about
internet domains including registration and WHOIS data, page rank and content metadata. Functionality includes:

1. Retrieving WHOIS information and registration data about a domain;
2. Identifying its prominence according to Alexa and Pagerank's algorithms;
3. Geolocating the domain name, and;
4. Checking it against common domain blacklists.

Please note that this project is released with a [Contributor Code of Conduct](CONDUCT.md). By participating in this project you agree to abide by its terms.

### Installation

To get the released version:

    install.packages("whoapi")

To get the development version:

    devtools::install_github("ironholds/whoapi", ref = "0.1.0")